; Configuration file for Rostock Max

; Communication and general
M111 S0                             ; Debug off
M550 Pmaxie 	  		        	; Machine name and Netbios name (can be anything you like)
M551 Ph1ckney                       ; Machine password (used for FTP)
M540 P0xBE:0xEF:0xDE:0xAD:0xFE:0xEE ; MAC Address
;*** Adjust the IP address and gateway in the following 2 lines to suit your network
M552 P192.168.1.211	  				; IP address (0 = use DHCP)
M554 P192.168.1.210	                ; Gateway
M553 P255.255.255.0            	    ; Netmask
M555 P2                             ; Set output to look like Marlin
G21                                 ; Work in millimetres
G90                                 ; Send absolute coordinates...
M83                                 ; ...but relative extruder moves
M575 P1 B57600 S1                   ; Set auxiliary serial port baud rate and require checksum (for PanelDue)

; Axis and motor configuration
M569 P0 S1							; Drive 0 goes forwards
M569 P1 S1							; Drive 1 goes forwards
M569 P2 S1							; Drive 2 goes forwards
M569 P3 S0							; Drive 3 (extruder) goes backwards
M569 P4 S1							; Drive 4 goes forwards
M574 X2 Y2 Z2 S1					; set endstop configuration (all endstops at high end, active high)
;*** The homed height is deliberately set too high in the following - you will adjust it during calibration
M665 R133.87 L269.0 B120 H341.92 X0.194 Y0.72 Z0.00		; set delta radius, diagonal rod length, printable radius and homed height
M666 X-0.32 Y-0.09 Z0.41           	; put your endstop adjustments here, or let auto calibration find them
M92 X106.667 Y106.667 Z106.667		; Set axis steps/mm
M906 X1000 Y1000 Z1000 E500			; Set motor currents (mA)
M201 X1000 Y1000 Z1000 E1000		; Accelerations (mm/s^2)
M203 X20000 Y20000 Z20000 E3600		; Maximum speeds (mm/min)
M566 X1200 Y1200 Z1200 E1200		; Maximum instant speed changes mm/minute

; Thermistors
;*** If you have a Duet board stickered "4.7K", change R1000 to R4700 to the following M305 commands
M305 P0 T100000 B4388 R1000 H-3 L475 ; Put your own H and/or L values here to set the bed thermistor ADC correction
M305 P1 T100000 B4388 R1000 H7 L470	 ; Put your own H and/or L values here to set the first nozzle thermistor ADC correction
M305 P2 T100000 B4388 R1000 H7 L470	 ; Put your own H and/or L values here to set the second nozzle thermistor ADC correction
M570 S180							 ; Hot end may be a little slow to heat up so allow it 180 seconds

; PID
; Bed
M301 H0 P-1							; negative P means use bang-bang control
; Heater 1
M301 H1 P20 I.027 D100 T1.1 S1 W300 B30

; Tool definitions
M563 P0 D0 H1                       ; Define tool 0
G10 P0 S0 R0                        ; Set tool 0 operating and standby temperatures
;*** If you have a dual-nozzle build, un-comment the next 2 lines
;M563 P1 D1 H2                      ; Define tool 1
;G10 P1 S0 R0                       ; Set tool 1 operating and standby temperatures
M92 E458.55:458.55					; E478.63:478.63                  ; Set extruder steps per mm

; Z probe and compensation definition
;*** If you have an IR zprobe instead of a switch, change P4 to P1 in the following M558 command
M558 P4 X0 Y0 Z0 H3 				; Z probe is a switch and is not used for homing any axes
G31 X0 Y0 Z-.35     			    ; Set the zprobe height and threshold (put your own values here)

;*** If you are using axis compensation, put the figures in the following command
M556 S78 X0 Y0 Z0                   ; Axis compensation here

M208 S1 Z-0.2						; set minimum Z
;
T0									; select first hot end
